using System;
using System.Windows.Forms;

namespace Medivators.Common
{
	/// <summary>
	/// Summary description for MsgBox.
	/// </summary>
	public class MsgBox
	{
		private static MsgBox _instance = null;
		private MsgBox()
		{
		}
		public static MsgBox GetInstance()
		{
			if ( _instance == null )
				_instance = new MsgBox ();
			return _instance;
		}
		public static DialogResult Show ( string Text )
		{
			return MessageBox.Show 
				( 
				Text, 
				System.Reflection.Assembly.GetExecutingAssembly().GetName().Name , 
				MessageBoxButtons.OK, 
				MessageBoxIcon.Information
				);
		}
		public static DialogResult Show ( string Text, string Caption )
		{
			return MessageBox.Show 
				( 
				Text, 
				Caption , 
				MessageBoxButtons.OK, 
				MessageBoxIcon.Information
				);
		}
		public static DialogResult Show ( string Text, string Caption, MessageBoxButtons Buttons )
		{
			return MessageBox.Show 
				( 
				Text, 
				Caption, 
				Buttons,
				MessageBoxIcon.Information
				);
		}	
		public static DialogResult Show ( string Text, string Caption, MessageBoxButtons Buttons, MessageBoxIcon Icon )
		{
			return MessageBox.Show 
				( 
				Text, 
				Caption, 
				Buttons,
				Icon
				);
		}
		public static DialogResult Show ( string Text, MessageBoxIcon Icon )
		{
			return MessageBox.Show 
				( 
				Text, 
				System.Reflection.Assembly.GetExecutingAssembly().GetName().Name , 
				MessageBoxButtons.OK, 
				Icon
				);
		}
	}
}
